# Uses of Interface
org.eclipse.ecf.filetransfer.events.IRemoteFileSystemEvent

Packages that use IRemoteFileSystemEvent
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.filetransfer.events
org.eclipse.ecf.provider.filetransfer.browse

## Uses of IRemoteFileSystemEvent in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer with parameters of type IRemoteFileSystemEvent
Modifier and Type
Method
Description
`void`
IRemoteFileSystemListener.`handleRemoteFileEvent(IRemoteFileSystemEvent event)`
Handle the remote file event.

## Uses of IRemoteFileSystemEvent in org.eclipse.ecf.filetransfer.events

Subinterfaces of IRemoteFileSystemEvent in org.eclipse.ecf.filetransfer.events
Modifier and Type
Interface
Description
`interface`
`IRemoteFileSystemBrowseEvent`
Event that indicates that a directory list is available via `IRemoteFileSystemBrowseEvent.getRemoteFiles()`.

## Uses of IRemoteFileSystemEvent in org.eclipse.ecf.provider.filetransfer.browse

Methods in org.eclipse.ecf.provider.filetransfer.browse that return IRemoteFileSystemEvent
Modifier and Type
Method
Description
`protected IRemoteFileSystemEvent`
AbstractFileSystemBrowser.`createRemoteFileEvent()`